Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.cics
Class ECIErrorCodes

    java.lang.Object
      com.stc.eways.cics.ECIErrorCodes

    public class ECIErrorCodes

extends java.lang.Object

The `ECIErrorCodes` class represents all ECI error codes, it delegates all accessor of error code;

Constructor Summary
`ECIErrorCodes()`

Method Summary
`static int` | `getECI_ERR_ALREADY_ACTIVE()`
`static int` | `getECI_ERR_CALL_FROM_CALLBACK()`
`static int` | `getECI_ERR_CICS_DIED()`
`static int` | `getECI_ERR_INVALID_CALL_TYPE()`
`static int` | `getECI_ERR_INVALID_DATA_AREA()`
`static int` | `getECI_ERR_INVALID_DATA_LENGTH()`
`static int` | `getECI_ERR_INVALID_EXTEND_MODE()`
`static int` | `getECI_ERR_INVALID_VERSION()`
`static int` | `getECI_ERR_LUW_TOKEN()`
`static int` | `getECI_ERR_MAX_SESSIONS()`
`static int` | `getECI_ERR_MAX_SYSTEMS()`
`static int` | `getECI_ERR_MORE_SYSTEMS()`
`static int` | `getECI_ERR_MSG_QUAL_IN_USE()`
`static int` | `getECI_ERR_NO_CICS()`
`static int` | `getECI_ERR_NO_MSG_QUALS()`
`static int` | `getECI_ERR_NO_REPLY()`
`static int` | `getECI_ERR_NO_SESSIONS()`
`static int` | `getECI_ERR_NO_SYSTEMS()`
`static int` | `getECI_ERR_NULL_MESSAGE_ID()`
`static int` | `getECI_ERR_NULL_SEM_HANDLE()`
`static int` | `getECI_ERR_NULL_WIN_HANDLE()`
`static int` | `getECI_ERR_REQUEST_TIMEOUT()`
`static int` | `getECI_ERR_RESOURCE_SHORTAGE()`
`static int` | `getECI_ERR_RESPONSE_TIMEOUT()`
`static int` | `getECI_ERR_ROLLEDBACK()`
`static int` | `getECI_ERR_SECURITY_ERROR()`
`static int` | `getECI_ERR_SYSTEM_ERROR()`
`static int` | `getECI_ERR_THREAD_CREATE_ERROR()`
`static int` | `getECI_ERR_TRANSACTION_ABEND()`
`static int` | `getECI_ERR_UNKNOWN_SERVER()`
`static int` | `getECI_NO_ERROR()`
`static java.lang.String` | `getString(int code)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECIErrorCodes

    public ECIErrorCodes()

Method Detail

### getECI_NO_ERROR

    public static final int getECI_NO_ERROR()

### getECI_ERR_INVALID_DATA_LENGTH

    public static final int getECI_ERR_INVALID_DATA_LENGTH()

### getECI_ERR_INVALID_EXTEND_MODE

    public static final int getECI_ERR_INVALID_EXTEND_MODE()

### getECI_ERR_NO_CICS

    public static final int getECI_ERR_NO_CICS()

### getECI_ERR_CICS_DIED

    public static final int getECI_ERR_CICS_DIED()

### getECI_ERR_REQUEST_TIMEOUT

    public static final int getECI_ERR_REQUEST_TIMEOUT()

### getECI_ERR_NO_REPLY

    public static final int getECI_ERR_NO_REPLY()

### getECI_ERR_RESPONSE_TIMEOUT

    public static final int getECI_ERR_RESPONSE_TIMEOUT()

### getECI_ERR_TRANSACTION_ABEND

    public static final int getECI_ERR_TRANSACTION_ABEND()

### getECI_ERR_LUW_TOKEN

    public static final int getECI_ERR_LUW_TOKEN()

### getECI_ERR_SYSTEM_ERROR

    public static final int getECI_ERR_SYSTEM_ERROR()

### getECI_ERR_NULL_WIN_HANDLE

    public static final int getECI_ERR_NULL_WIN_HANDLE()

### getECI_ERR_NULL_MESSAGE_ID

    public static final int getECI_ERR_NULL_MESSAGE_ID()

### getECI_ERR_THREAD_CREATE_ERROR

    public static final int getECI_ERR_THREAD_CREATE_ERROR()

### getECI_ERR_INVALID_CALL_TYPE

    public static final int getECI_ERR_INVALID_CALL_TYPE()

### getECI_ERR_ALREADY_ACTIVE

    public static final int getECI_ERR_ALREADY_ACTIVE()

### getECI_ERR_RESOURCE_SHORTAGE

    public static final int getECI_ERR_RESOURCE_SHORTAGE()

### getECI_ERR_NO_SESSIONS

    public static final int getECI_ERR_NO_SESSIONS()

### getECI_ERR_NULL_SEM_HANDLE

    public static final int getECI_ERR_NULL_SEM_HANDLE()

### getECI_ERR_INVALID_DATA_AREA

    public static final int getECI_ERR_INVALID_DATA_AREA()

### getECI_ERR_INVALID_VERSION

    public static final int getECI_ERR_INVALID_VERSION()

### getECI_ERR_UNKNOWN_SERVER

    public static final int getECI_ERR_UNKNOWN_SERVER()

### getECI_ERR_CALL_FROM_CALLBACK

    public static final int getECI_ERR_CALL_FROM_CALLBACK()

### getECI_ERR_MORE_SYSTEMS

    public static final int getECI_ERR_MORE_SYSTEMS()

### getECI_ERR_NO_SYSTEMS

    public static final int getECI_ERR_NO_SYSTEMS()

### getECI_ERR_SECURITY_ERROR

    public static final int getECI_ERR_SECURITY_ERROR()

### getECI_ERR_MAX_SYSTEMS

    public static final int getECI_ERR_MAX_SYSTEMS()

### getECI_ERR_MAX_SESSIONS

    public static final int getECI_ERR_MAX_SESSIONS()

### getECI_ERR_ROLLEDBACK

    public static final int getECI_ERR_ROLLEDBACK()

### getECI_ERR_NO_MSG_QUALS

    public static final int getECI_ERR_NO_MSG_QUALS()

### getECI_ERR_MSG_QUAL_IN_USE

    public static final int getECI_ERR_MSG_QUAL_IN_USE()

### getString

    public static final java.lang.String getString(int code)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD